Subject: bug#24518: 25.2.50; dired-mark-extension with prefix arg fails

From: Tino Calancha <[email-masked]>
Date: Sun, 25 Sep 2016 02:49:23 +0900 (JST)

On Sat, 24 Sep 2016, Eli Zaretskii wrote:

>> From: Tino Calancha <[email-masked]>
>> Date: Sun, 25 Sep 2016 02:14:14 +0900 (JST)
>> cc: Andreas Schwab <[email-masked]>, [email-masked],
>>     [email-masked]
>>
>>> I believe my recent commit fixed all of the above
>> Yeah, you fixed something, and we are exactly in the same point
>> that before fixing such thing.  We didn't get something better.
>
> We don't have this command signal an error anymore, do we?  I think
> that's a definite improvement.
Yes, it is.  But i doubt that in 22 years someone tried intentionally
such behaviour:  I guess you was the first in History when you proposed
your example.  Congratulations.

> Besides, you yourself told me to fix the bug, so I did.
Thank you very much.
>> The point here is that a Dired user would expect/wish that the
>> interactive call behaves differently.  I do.
>> Do you know how i noticed the bug?
>> Because i assumed that a prefix argument will unmark as other
>> Dired marks, and i got an error (!).
>
> But it isn't true that every Dired command that marks files will
> unmark them if invoked with an argument.  E.g., dired-mark doesn't.
> So this doesn't look like a universal convention in Dired, only a
> frequent feature.
The reason why dired-mark do not follow that idiom is because we have a 
dedicated command dired-unmark.  Indeed, you can see that it is very
universal convention that if we don't have the dedicated-unmark-command
for the task in hands, then the marking command _unmark_ with a prefix
argument.
> OTOH, since Dired allows the user to use different marker characters
> in other places, IMO it is not very reasonable to exempt this
> particular command.  Especially since it did have a (semi-broken) way
> of doing that.
There better ways to mark with a different character in Dired than that. 
We should respect the 'prefix arg unmark' idiom.

Regards